Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### boolean
Examples |
    boolean a = false;
    if (!a) {
      rect(30, 20, 50, 50);
    }
    a = true;
    if (a) {
      line(20, 10, 90, 80);
      line(20, 80, 90, 10);
    }
Description | Datatype for the Boolean values true and false. It is common to use booleanvalues with control statements to determine the flow of a program. The first time a variable is written, it must be declared with a statement expressing its datatype.
Syntax |
    boolean var
    boolean var = booleanvalue
Parameters |
var | variable name referencing the value
booleanvalue | true or false
Usage | Web & Application
Related | true false

Updated on December 20, 2005 02:03:00pm PST